## ros-melodic-pr2eus 0.3.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2eus)

find_package(pr2_controllers_msgs QUIET) # pr2_controllers_msgs is not releaased on jade/kinetic...
if(pr2_controllers_msgs_FOUND)
  message(STATUS "pr2_controllers_msgs FOUND")
  set(PR2_CONTROLLERS_MSGS_PACKAGE pr2_controllers_msgs)
else()
  message(STATUS "pr2_controllers_msgs IS DEPRECATED")
  set(PR2_CONTROLLERS_MSGS_PACKAGE )
endif()
find_package(pr2_mechanism_msgs QUIET)
if(pr2_mechanism_msgs_FOUND)
  message(STATUS "pr2_mechanism_msgs FOUND")
  set(PR2_MECHANISM_MSGS_PACKAGE pr2_mechanism_msgs)
else()
  message(STATUS "pr2_mechanism_msgs NOT FOUND")
  set(PR2_MECHANISM_MSGS_PACKAGE )
endif()
if($ENV{ROS_DISTRO} STREQUAL "hydro")
  set(GENEUS_PACKAGE geneus)
endif()

find_package(catkin REQUIRED COMPONENTS euscollada control_msgs nav_msgs dynamic_reconfigure rosgraph_msgs move_base_msgs pr2_msgs ${GENEUS_PACKAGE} ${PR2_CONTROLLERS_MSGS_PACKAGE} ${PR2_MECHANISM_MSGS_PACKAGE} sound_play
  roseus # this load roseus.cmake, so it needs to be located in the end
  )


catkin_package()

install(DIRECTORY test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )

file(GLOB _install_files RELATIVE ${PROJECT_SOURCE_DIR} *.l *.launch)
install(FILES ${_install_files}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )
install(FILES pr2-send-joints.l pr2-read-state.l
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  PERMISSIONS WORLD_EXECUTE
  )

if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)
  if(pr2_controllers_msgs_FOUND)
    add_rostest(test/pr2eus-test.launch)
    add_rostest(test/make-pr2-model-file-test.launch)
    find_package(pr2_gazebo QUIET)
    if(pr2_gazebo_FOUND AND (NOT pr2_gazebo_VERSION VERSION_LESS 2.0.7)) # test only supports indigo
      add_rostest(test/pr2-ri-test.launch)
    endif()
    add_rostest(test/pr2-ri-test-simple.launch)
    add_rostest(test/robot-init-test.test) # this uses pr2
  endif()
  add_rostest(test/robot-no-clock.test)
  add_rostest(test/default-ri-test.test)
  add_rostest(test/speak-test.test)
  add_rostest(test/speak-test.test ARGS test_action:=true)
  add_rostest(test/speak-test-eus.test)
  add_rostest(test/speak-test-eus.test ARGS test_action:=true)
endif()

generate_eusdoc(robot-interface.l)
generate_eusdoc(pr2-interface.l)
generate_eusdoc(pr2-utils.l)
generate_eusdoc(speak.l)

=== debian/changelog ===
ros-melodic-pr2eus (0.3.14-3stretch) stretch; urgency=high

  * [pr2eus] add :get-grasp-result methody and :wait key to :start-grasp method (#386 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/386> )
  * pr2-interface: Make use of return value of :move-gripper method (#364 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/364> )
    
      * pr2-interface: make use of return value for :stop-grasp
      * pr2-interface: fix bug on :start-grasp return value of :joint-angle
      * pr2-interface: make use of return values of :move-gripper
    
  * [pr2eus/speak.l] enable speak-jp with wait: t (#369 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/369> )
  * add test to reproduce #366 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/366> (play-sound could not play file format) (#371 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/371> )
    
      * fix speak-test-action.py, more test on SAY, PLAY_FILE and buiding files
      * [pr2eus/speak.l] use (namestring) to get string from pathname, Fixed #366 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/366>
      * add test-speak-number / test-ri-speak-number
      * add test to reproduce #366 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/366> (play-sound could not play file format)
    
  * pr2-interface.l: Add optional key arguments for :angle-vector-with-constraint (#380 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/380> )
    
      * add :revert-if-fail, :initial-angle-vector, :div optional key for :angle-vector-with-constraint
      * fix minor indent
    
  * robot-interface.l: remove old timer-job (#321 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/321> )
  * fix speak-test.test to fail on volume==0 (#379 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/379> )
    
      * [pr2eus/speak.l] Fixed volume insertion checking with :volume accessor exists
      * [pr2eus/speak.l] add :volume keyward for play-sound for sound_play >= 0.3.1 (Closes #368 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/368>)
      * fix speak-test.test to fail on volume==0
        pr2eus/test/speak-test.py: check if SoundRequest has volume attribute
    
  * .travis.yml : remove hydro/jade, add melodic, fix speak-test for indigo (#385 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/385> )
    
      * test:speak-test.l add (ros::sleep 2) at the end of script, to wait for last message actually send out
      * fix test for indigo
    
  * Goal header stamp should be the time message is made  (#358 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/358> )
    
      * fix goal header stamp time
    
  * [pr2eus/robot-interface.l] Modified warning message in case of we can not connect to follow joint trajectory server (#381 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/381> )
  * fix typo in error message on pr2eus/pr2-interface.l ( #384 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/384> )
  * pr2eus: override clear-costmap namespace for pr2 (#343 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/343> )
    
      * pr2eus: override clear-costmap namespace for pr2
      * pr2eus: delegate costmap functions to robot-move-base-interface
      * pr2eus: default value of inflation range: 0.3
    
  * add test for pr2/speak.l (#374 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/374> )
    
      * add test for action interface
      * add speak-test.py to check contents of SpeakRequest message
      * run speak-test.l and catch message by hztest
    
  * Equalize min-time behavior of end-coords-interpolation to usual angle-vector (#355 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/355> )
    
      * Equalize min-time behavior of end-coords-interpolation to usual angle-vector
      * Add test to catch (#354 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/354>)
      * Add end-coords-interpolation test
    
  * pr2eus_moveit: support motion with mobile base (#357 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/357> )
  * pr2-ri-test.l : add test to check :wait-interpolation, with timeout (#352 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/352> )
    
      * fix: pr2-ri-test.l: check return value of :wait-ingterpolation as list
      * fix: Calling (load-ros-manifest pr2eus) for the package without msg/srv will be deprecated
      * pr2eus: robot-interface: add :base-controller-joint-names option
      * clean up :interpolatingp of robot-interface, use :interpolatingp in controller-actions class
      * fix :interpolationp of controller-action-client when using real robot
      * pr2-ri-test.l : add test to check return of :wait-interpolation with timeout value
      * fix :wait-interpolation of pr2-interface, do not wait for moving joints when timeout is not equal to 0
      * reduce the retry to 1, 5(retry) x 600 sec exceeds 50min limit of Travis
      * pr2-ri-test.l : add test to check :wait-interpolation, with timeout
    
  * euscollada 0.4.0 requires changes in tests (from = to eps=, but seems the output is both 0.0) (#360 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/360> )
    
      * not sure why we do not need this until now, but we need to use eps=
    
  * Fix typo. stll -> still (#342 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/342>)
  * Fix wrong behaviors in :go-pos-unsafe / :move-trajectory / :move-trajectory (#336 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/336>)
    
      * fix: go-pos-unsafe less than expected if msec < 1000
      * fix: move-trajectory wrong document / implementation
    
  * Fix many typos (#337 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/337>)
  * run everything within jenkins (#340 <https://github.com/jsk-ros-pkg/jsk_pr2eus/issues/340>)
    
      * explictly set DISPLAY="" for roseus test
      * re-define :joint-angle to avoid print violate max/min-angle that exceeds 4M log limit
      * test-pr2eus-moveit.l: not sure why, but sometimes utf-8 code is displayed and brakes catkin build
      * set time-limit for pr2-ri-test to 600


=== debian/control ===
Source: ros-melodic-pr2eus
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-control-msgs, ros-melodic-dynamic-reconfigure, ros-melodic-euscollada, ros-melodic-move-base-msgs, ros-melodic-nav-msgs, ros-melodic-pr2-controllers-msgs, ros-melodic-pr2-description, ros-melodic-pr2-gazebo, ros-melodic-pr2-mechanism-msgs, ros-melodic-pr2-msgs, ros-melodic-robot-state-publisher, ros-melodic-roseus, ros-melodic-rosgraph-msgs, ros-melodic-rostest, ros-melodic-sound-play
Homepage: http://ros.org/wiki/pr2eus
Standards-Version: 3.9.2

Package: ros-melodic-pr2eus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-control-msgs, ros-melodic-dynamic-reconfigure, ros-melodic-euscollada, ros-melodic-move-base-msgs, ros-melodic-nav-msgs, ros-melodic-pr2-controllers-msgs, ros-melodic-pr2-description, ros-melodic-pr2-mechanism-msgs, ros-melodic-pr2-msgs, ros-melodic-roseus, ros-melodic-sound-play
Description: pr2eus
